/// <reference types="react" />
import { dataServiceLocator } from 'mongodb-data-service/provider';
import type { DataService } from 'mongodb-data-service';
import type { PipelineStorage, RecentQueryStorage } from '@mongodb-js/my-queries-storage';
declare function activate(): void;
declare function deactivate(): void;
export declare const MyQueriesPlugin: import("hadron-app-registry").HadronPluginComponent<{
    context?: import("react").Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
    store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
} & {
    children?: import("react").ReactNode;
}, {
    dataService: typeof dataServiceLocator<keyof DataService>;
    instance: () => import("mongodb-instance-model").MongoDBInstance;
    logger: () => import("@mongodb-js/compass-logging/provider").LoggerAndTelemetry;
} & {
    queryStorage?: (() => RecentQueryStorage) | undefined;
    pipelineStorage?: (() => PipelineStorage) | undefined;
}>;
declare const InstanceTab: {
    name: string;
    component: import("hadron-app-registry").HadronPluginComponent<{
        context?: import("react").Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
        store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
    } & {
        children?: import("react").ReactNode;
    }, {
        dataService: typeof dataServiceLocator<keyof DataService>;
        instance: () => import("mongodb-instance-model").MongoDBInstance;
        logger: () => import("@mongodb-js/compass-logging/provider").LoggerAndTelemetry;
    } & {
        queryStorage?: (() => RecentQueryStorage) | undefined;
        pipelineStorage?: (() => PipelineStorage) | undefined;
    }>;
};
export default InstanceTab;
export { activate, deactivate };
export { default as metadata } from '../package.json';
//# sourceMappingURL=index.d.ts.map